package com.kmall.admin.service.impl.mk.store;

import com.kmall.admin.dao.mk.store.MkStorePromStatDao;
import com.kmall.admin.entity.mk.store.MkStorePromStatEntity;
import com.kmall.admin.service.mk.store.MkStorePromStatService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 门店推广统计Service实现类
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-26 15:52:20
 */
@Service("mkStorePromStatService")
public class MkStorePromStatServiceImpl implements MkStorePromStatService {
    @Autowired
    private MkStorePromStatDao mkStorePromStatDao;

    @Override
    public MkStorePromStatEntity queryObject(Integer promStatId) {
        return mkStorePromStatDao.queryObject(promStatId);
    }

    @Override
    public List<MkStorePromStatEntity> queryList(Map<String, Object> map) {
        return mkStorePromStatDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return mkStorePromStatDao.queryTotal(map);
    }

    @Override
    public int save(MkStorePromStatEntity mkStorePromStat) {
        return mkStorePromStatDao.save(mkStorePromStat);
    }

    @Override
    public int update(MkStorePromStatEntity mkStorePromStat) {
        return mkStorePromStatDao.update(mkStorePromStat);
    }

    @Override
    public int delete(Integer promStatId) {
        return mkStorePromStatDao.delete(promStatId);
    }

    @Override
    public int deleteBatch(Integer[]promStatIds) {
        return mkStorePromStatDao.deleteBatch(promStatIds);
    }
}
